Subject: [Anima-signaling] Payload overhead of CBOR format.

From: Brian E Carpenter <[email-masked]>
Date: Sat, 5 Sep 2015 15:44:33 +1200

Hi Design Team,

I've performed the exercise of deriving the overhead cost of CBOR vs TLV
format for a very simple GRASP example. The details are below, and are
not statistically significant, but the news is good: 3% extra payload size
for the 6 messages in the example. If I slightly change the assumptions,
it changes to a saving of 3%.

This is a made-up example, but not made up for this purpose; it's the one
I used a couple of IETF's ago as a presentation example.

To be valid science, we'd need to do this for a much larger set of messages
chosen from a variety of use cases. That would be quite laborious until
we have some GRASP-CBOR code written. However, it's an encouraging result.

Given that these payloads will be wrapped up in transport overhead and
security overhead, it seems to me that we can work on the assumption that
packet size overhead is not something to worry about.

Comments?

   Brian